# When bootstrapping new releases/archs, set this initially to avoid
# unresolvable dependency on phonon-backend (and friends)
#define bootstrap 1

Summary: Multimedia framework api (Qt5 version)
Name:    phonon-qt5
Version: 4.8.3
Release: 2%{?dist}
License: LGPLv2+
URL:     http://phonon.kde.org/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/phonon/%{version}/src/phonon-%{version}.tar.xz

Patch0: phonon-4.7.0-rpath_use_link_path.patch

## upstream patches
Patch1: 0001-rename-phonon-meta-include-file-in-the-source-and-in.patch
Patch2: 0002-Don-t-allocate-a-char-with-an-undefined-size.patch
Patch3: 0003-Fix-build-with-Qt-5.4.2.patch
Patch4: 0004-Specify-_include-dirs-as-INCLUDE_DIRECTORIES.patch
Patch5: 0005-Yet-another-_include_dirs-fix.patch

# followup to patch4/patch5 above that do not quite get it right and support Qt-5.6 symbol versioning
Patch15:  phonon-4.8.3-cmake_wtf.patch

# FIXME/TODO/WTF -- rex
BuildConflicts: cmake

BuildRequires: cmake3
BuildRequires: pkgconfig
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libpulse-mainloop-glib) > 0.9.15
BuildRequires: pkgconfig(libxml-2.0)
# Qt5
BuildRequires: pkgconfig(Qt5DBus) pkgconfig(Qt5Designer) pkgconfig(Qt5OpenGL) pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Declarative)
BuildRequires: pkgconfig(xcb)

%global pulseaudio_version %((pkg-config --modversion libpulse 2>/dev/null || echo 0.9.15) | cut -d- -f1)

%if 0%{?bootstrap}
Provides: phonon-qt5-backend%{?_isa} = 4.7
%else
Requires: phonon-qt5-backend%{?_isa} => 4.7
%endif
Requires: pulseaudio-libs%{?_isa} >= %{pulseaudio_version}

Provides:  phonon-qt5-experimental = %{version}-%{release}

%{?_qt5_version:Requires: qt5-qtbase%{?_isa} >= %{_qt5_version}}

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides:  phonon-qt5-experimental-devel = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -p1 -n phonon-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake3} .. \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DPHONON_BUILD_PHONON4QT5:BOOL=ON \
  -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# own these dirs
mkdir -p %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend


%check
export PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion phonon4qt5)" = "%{version}"


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING.LIB
%dir %{_datadir}/phonon4qt5
%{_libdir}/libphonon4qt5.so.4*
%{_libdir}/libphonon4qt5experimental.so.4*
%{_qt5_plugindir}/designer/libphononwidgets.so
%dir %{_qt5_plugindir}/phonon4qt5_backend/

%files devel
%{_datadir}/dbus-1/interfaces/org.kde.Phonon4Qt5.AudioOutput.xml
%{_datadir}/phonon4qt5/buildsystem/
%dir %{_libdir}/cmake/
%{_libdir}/cmake/phonon4qt5/
%{_includedir}/phonon4qt5/
%{_libdir}/libphonon4qt5.so
%{_libdir}/libphonon4qt5experimental.so
%{_libdir}/pkgconfig/phonon4qt5.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_phonon4qt5.pri


%changelog
* Thu Apr 07 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.8.3-2
- de-bootstrap

* Mon Apr 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.8.3-1.1
- rebuild

* Wed Mar 23 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 4.8.3-1
- Initial version (fork of phonon)
